%define dist Curses
Name: perl-%dist
Version: 1.06
Release: alt2

Summary: Terminal screen handling and optimization
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2
Patch0: %name-1.06-mdk-sv_isa.patch

# Automatically added by buildreq on Fri Jul 30 2004
BuildRequires: libncurses-devel libtinfo-devel perl-devel

%description
"Curses" is the interface between Perl and ncurses(3) library.

The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization.  The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

%prep
%setup -q -n %dist-%version
%patch0 -p1

%build
%perl_vendor_build PANELS MENUS FORMS

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_archlib/Curses*
%perl_vendor_autolib/Curses*
%perl_vendor_man3dir/Curses*

%changelog
* Fri Jul 30 2004 Alexey Tourbin <at@altlinux.ru> 1.06-alt2
- resurrected; revamped specfile
- mdk-sv_isa.patch: fix build
- updated description

* Fri Nov  9 2001 Igor Homyakov <homyakov@altlinux.ru> alt1 
- Build package for ALTLinux 
